NodeRings Docs

List Preflight Checks

GET
/v1/provider/preflight-checks
Authorization<token>

Bearer token

In: header

X-Organization-ID<token>

Tenant or organization identifier

In: header

Query Parameters

planCode?string
planId?string
issuesOnly?boolean
page?integer
Formatint32
pageSize?integer
Formatint32

Response Body

application/json

curl -X GET "https://api.nrings.io/v1/provider/preflight-checks?planCode&planId&issuesOnly&page&pageSize" \  -H "Authorization: Bearer {your_token}" \  -H "X-Organization-ID: {your_org_id}"
{
  "plans": [
    {
      "planCode": "string",
      "planName": "string",
      "marketplaceReady": true,
      "summaryNote": "string",
      "planChecks": [
        {
          "code": "string",
          "passed": true,
          "note": "string",
          "subChecks": [
            {
              "code": "string",
              "passed": true,
              "note": "string",
              "subChecks": []
            }
          ]
        }
      ],
      "infrastructure": [
        {
          "passed": true,
          "agent": {
            "id": "string",
            "name": "string",
            "checks": [
              {
                "code": "string",
                "passed": true,
                "note": "string",
                "subChecks": [
                  {
                    "code": "string",
                    "passed": true,
                    "note": "string",
                    "subChecks": []
                  }
                ]
              }
            ],
            "platform": {
              "id": "string",
              "name": "string",
              "checks": [
                {
                  "code": "string",
                  "passed": true,
                  "note": "string",
                  "subChecks": [
                    {
                      "code": "string",
                      "passed": true,
                      "note": "string",
                      "subChecks": []
                    }
                  ]
                }
              ],
              "node": {
                "id": "string",
                "name": "string",
                "checks": [
                  {
                    "code": "string",
                    "passed": true,
                    "note": "string",
                    "subChecks": [
                      {
                        "code": "string",
                        "passed": true,
                        "note": "string",
                        "subChecks": []
                      }
                    ]
                  }
                ]
              }
            }
          }
        }
      ],
      "planId": "string",
      "billingType": "BILLING_TYPE_UNSPECIFIED",
      "summaryIssues": [
        "string"
      ],
      "regionLabels": [
        "string"
      ]
    }
  ],
  "totalCount": 0,
  "marketplaceReadyCheckIntervalSeconds": 0,
  "marketplaceReadyCheckEnabled": true
}